devplugin

## Interface ChannelDayProgram

- All Known Implementing Classes:
    MutableChannelDayProgram

      public interface ChannelDayProgram

  A list of the programs of one channel and one day.
  Author:
    Til Schneider, www.murfman.de

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Channel` | `getChannel()` Returns the channel of this day program.
    `Date` | `getDate()` Returns the date of this day program.
    `boolean` | `getLastProgramHadEndOnUpdate()` Gets the last program end time state on data update.
    `Program` | `getProgram(java.lang.String progID)` Returns the first program object having the specified ID.
    `Program` | `getProgramAt(int index)` Returns the program at the specified index.
    `int` | `getProgramCount()` Gets the number of programs in this list.
    `java.util.Iterator<Program>` | `getPrograms()` Returns an iterator containing all programms.
    `Program[]` | `getPrograms(java.lang.String progID)` Returns all program objects having the specified ID.
    `boolean` | `isComplete()` Returns whether this channel day program is complete.

- - ### Method Detail

    - #### getChannel

          Channel getChannel()

      Returns the channel of this day program.
      Returns:
        the channel of this day program.

    - #### getDate

          Date getDate()

      Returns the date of this day program.
      Returns:
        the date of this day program.

    - #### getProgram

          Program getProgram(java.lang.String progID)

      Returns the first program object having the specified ID.
      Parameters:
        `progID` - The ID of the wanted program.
      Returns:
        the program object having the specified ID.

    - #### getPrograms

          Program[] getPrograms(java.lang.String progID)

      Returns all program objects having the specified ID. (Well this is stupid but if programs start at the same time on the same channel on the same date they have the same id.)
      Parameters:
        `progID` - The ID of the wanted programs.
      Returns:
        The array with the program objects having the specified ID.
      Since:
        3.3.3

    - #### getProgramCount

          int getProgramCount()

      Gets the number of programs in this list.
      Returns:
        the number of programs.

    - #### getProgramAt

          Program getProgramAt(int index)

      Returns the program at the specified index.
      Parameters:
        `index` - The index of the wanted program.
      Returns:
        The program at the specified index.

    - #### getPrograms

          java.util.Iterator<Program> getPrograms()

      Returns an iterator containing all programms. Each iterator item is a devplugin.Program object.
      Returns:
        An iterator through the program list.

    - #### isComplete

          boolean isComplete()

      Returns whether this channel day program is complete.

      Returns:
        true if the last program ends afer midnight. Future implementations may check for gaps too.

    - #### getLastProgramHadEndOnUpdate

          boolean getLastProgramHadEndOnUpdate()

      Gets the last program end time state on data update.
      Returns:
        If the last program had ent time on data update
      Since:
        2.2

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)